SystemKeyspace.BootstrapState (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db

## Enum SystemKeyspace.BootstrapState

- java.lang.Object
- - java.lang.Enum<SystemKeyspace.BootstrapState>
  - - org.apache.cassandra.db.SystemKeyspace.BootstrapState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SystemKeyspace.BootstrapState>
  Enclosing class:
    SystemKeyspace

      public static enum SystemKeyspace.BootstrapState
      extends java.lang.Enum<SystemKeyspace.BootstrapState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPLETED`
    `DECOMMISSIONED`
    `IN_PROGRESS`
    `NEEDS_BOOTSTRAP`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SystemKeyspace.BootstrapState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SystemKeyspace.BootstrapState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEEDS_BOOTSTRAP

          public static final SystemKeyspace.BootstrapState NEEDS_BOOTSTRAP

    - #### COMPLETED

          public static final SystemKeyspace.BootstrapState COMPLETED

    - #### IN_PROGRESS

          public static final SystemKeyspace.BootstrapState IN_PROGRESS

    - #### DECOMMISSIONED

          public static final SystemKeyspace.BootstrapState DECOMMISSIONED

  - ### Method Detail

    - #### values

          public static SystemKeyspace.BootstrapState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SystemKeyspace.BootstrapState c : SystemKeyspace.BootstrapState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SystemKeyspace.BootstrapState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation